<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>DiscoveryRequest (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DiscoveryRequest (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DiscoveryRequest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/DiscoveryLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/DiscoveryResult.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/DiscoveryRequest.html" target="_top">Frames</a></li>
<li><a href="DiscoveryRequest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.search.Request">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.search</div>
<h2 title="Class DiscoveryRequest" class="title">Class DiscoveryRequest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">com.here.android.mpa.search.Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.search.DiscoveryRequest</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/search/AroundRequest.html" title="class in com.here.android.mpa.search">AroundRequest</a>, <a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search">ExploreRequest</a>, <a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search">HereRequest</a>, <a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search">SearchRequest</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DiscoveryRequest</span>
extends <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</pre>
<div class="block">Represents an extended <code>Request</code> used to retrieve a <code>DiscoveryResultPage</code> object by
 way of Places search services.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.search.Request">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a></h3>
<code><a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search">CategoryFilter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#m_categoryFilter">m_categoryFilter</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;android.util.Pair&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#m_imageDimensions">m_imageDimensions</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#m_searchArea">m_searchArea</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#m_searchCenter">m_searchCenter</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#m_searchRadius">m_searchRadius</a></span></code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.search.Request">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a></h3>
<code><a href="../../../../../com/here/android/mpa/search/Request.html#BUILDING_ID_REFERENCE_NAME">BUILDING_ID_REFERENCE_NAME</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_addressFilter">m_addressFilter</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_collectionSize">m_collectionSize</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_connectivityMode">m_connectivityMode</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_locale">m_locale</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_mapViewport">m_mapViewport</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_pimpl">m_pimpl</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_referenceNames">m_referenceNames</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_requestConnectivity">m_requestConnectivity</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_richTextFormatting">m_richTextFormatting</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#m_userAuthToken">m_userAuthToken</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#PLACE_CONTENT_WIKIPEDIA">PLACE_CONTENT_WIKIPEDIA</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#PVID_ID_REFERENCE_NAME">PVID_ID_REFERENCE_NAME</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_CONTENT_ID_REFERENCE_NAME">VENUES_CONTENT_ID_REFERENCE_NAME</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_DESTINATION_ID_REFERENCE_NAME">VENUES_DESTINATION_ID_REFERENCE_NAME</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_ID_REFERENCE_NAME">VENUES_ID_REFERENCE_NAME</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_VENUE_ID_REFERENCE_NAME">VENUES_VENUE_ID_REFERENCE_NAME</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#DiscoveryRequest--">DiscoveryRequest</a></span>()</code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#DiscoveryRequest-com.nokia.maps.PlacesDiscoveryRequest-">DiscoveryRequest</a></span>(com.nokia.maps.PlacesDiscoveryRequest impl)</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addImageDimensions-int-int-">addImageDimensions</a></span>(int width,
                  int height)</code>
<div class="block">Request Image Media with specific dimensions.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-">addReference</a></span>(java.lang.String name)</code>
<div class="block">This function adds the name of a requested reference identifiers to be returned in the
 results.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#execute-com.here.android.mpa.search.ResultListener-">execute</a></span>(<a href="../../../../../com/here/android/mpa/search/ResultListener.html" title="interface in com.here.android.mpa.search">ResultListener</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt; eventListener)</code>
<div class="block">Executes an asynchronous request.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#getCollectionSize--">getCollectionSize</a></span>()</code>
<div class="block">Gets the current collection size being used for request responses.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#getReferences--">getReferences</a></span>()</code>
<div class="block">This function returns the names of requested reference identifiers to be returned in the
 results.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#getRichTextFormatting--">getRichTextFormatting</a></span>()</code>
<div class="block">Gets the current <code>RichTextFormatting</code> type being used in request responses.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setCategoryFilter-com.here.android.mpa.search.CategoryFilter-">setCategoryFilter</a></span>(<a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search">CategoryFilter</a> filter)</code> </td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setCollectionSize-int-">setCollectionSize</a></span>(int value)</code>
<div class="block">Sets a collection size to be used for request responses.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">setMapViewport</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mapViewport)</code>
<div class="block">The map viewport is a bounding box of the map area currently visible to the user.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setRichTextFormatting-com.here.android.mpa.search.RichTextFormatting-">setRichTextFormatting</a></span>(<a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a> value)</code>
<div class="block">Sets a <code>RichTextFormatting</code> to be used in request responses.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchArea-com.here.android.mpa.common.GeoBoundingBox-">setSearchArea</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</code> </td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchArea-com.here.android.mpa.common.GeoCoordinate-int-">setSearchArea</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate,
             int radius)</code> </td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchCenter-com.here.android.mpa.common.GeoCoordinate-">setSearchCenter</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate)</code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.search.Request">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.search.<a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a></h3>
<code><a href="../../../../../com/here/android/mpa/search/Request.html#addCustomHeader-java.lang.String-java.lang.String-">addCustomHeader</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#cancel--">cancel</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#determineConnectivityMode--">determineConnectivityMode</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#getConnectivity--">getConnectivity</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#getLocale--">getLocale</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#setConnectivity-com.here.android.mpa.search.Request.Connectivity-">setConnectivity</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#setLocale-java.util.Locale-">setLocale</a>, <a href="../../../../../com/here/android/mpa/search/Request.html#setUserAuthentication-java.lang.String-">setUserAuthentication</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_searchCenter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_searchCenter</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> m_searchCenter</pre>
</li>
</ul>
<a name="m_searchArea">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_searchArea</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> m_searchArea</pre>
</li>
</ul>
<a name="m_searchRadius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_searchRadius</h4>
<pre>protected int m_searchRadius</pre>
</li>
</ul>
<a name="m_categoryFilter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_categoryFilter</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search">CategoryFilter</a> m_categoryFilter</pre>
</li>
</ul>
<a name="m_imageDimensions">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_imageDimensions</h4>
<pre>protected java.util.List&lt;android.util.Pair&lt;java.lang.Integer,java.lang.Integer&gt;&gt; m_imageDimensions</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DiscoveryRequest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DiscoveryRequest</h4>
<pre>protected DiscoveryRequest()</pre>
</li>
</ul>
<a name="DiscoveryRequest-com.nokia.maps.PlacesDiscoveryRequest-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DiscoveryRequest</h4>
<pre>protected DiscoveryRequest(com.nokia.maps.PlacesDiscoveryRequest impl)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRichTextFormatting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRichTextFormatting</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a> getRichTextFormatting()</pre>
<div class="block">Gets the current <code>RichTextFormatting</code> type being used in request responses.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current <code>RichTextFormatting</code> type</dd>
</dl>
</li>
</ul>
<a name="setRichTextFormatting-com.here.android.mpa.search.RichTextFormatting-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRichTextFormatting</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setRichTextFormatting(<a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a> value)</pre>
<div class="block">Sets a <code>RichTextFormatting</code> to be used in request responses. The default formatting is
 <a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html#HTML"><code>RichTextFormatting.HTML</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Desired <code>RichTextFormatting</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search"><code>DiscoveryRequest</code></a> object</dd>
</dl>
</li>
</ul>
<a name="getCollectionSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionSize</h4>
<pre>public int getCollectionSize()</pre>
<div class="block">Gets the current collection size being used for request responses.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#getCollectionSize--">getCollectionSize</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current response collection size</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setCollectionSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCollectionSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setCollectionSize(int value)</pre>
<div class="block">Sets a collection size to be used for request responses. The maximum number of result items
 in each collection will be limited to this value. The valid value range is [1..100]. The
 default collection size is 20.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#setCollectionSize-int-">setCollectionSize</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Desired response collection size per request.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search"><code>Request</code></a> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if size is out of range.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="addReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addReference</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> addReference(java.lang.String name)</pre>
<div class="block">This function adds the name of a requested reference identifiers to be returned in the
 results.

 <p>
 For example, to retrieve an POI identifier (pvid), set this value to
 <a href="../../../../../com/here/android/mpa/search/Request.html#PVID_ID_REFERENCE_NAME"><code>Request.PVID_ID_REFERENCE_NAME</code></a>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#addReference-java.lang.String-">addReference</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Name of reference identifier to retrieve.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if name added, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/Request.html#PVID_ID_REFERENCE_NAME"><code>Request.PVID_ID_REFERENCE_NAME</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_ID_REFERENCE_NAME"><code>Request.VENUES_ID_REFERENCE_NAME</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_CONTENT_ID_REFERENCE_NAME"><code>Request.VENUES_CONTENT_ID_REFERENCE_NAME</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_DESTINATION_ID_REFERENCE_NAME"><code>Request.VENUES_DESTINATION_ID_REFERENCE_NAME</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_VENUE_ID_REFERENCE_NAME"><code>Request.VENUES_VENUE_ID_REFERENCE_NAME</code></a></dd>
</dl>
</li>
</ul>
<a name="getReferences--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferences</h4>
<pre>public java.util.List&lt;java.lang.String&gt; getReferences()</pre>
<div class="block">This function returns the names of requested reference identifiers to be returned in the
 results.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#getReferences--">getReferences</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of the names of reference identifiers to be returned in the result.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search"><code>PlaceRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapViewport</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setMapViewport(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mapViewport)</pre>
<div class="block">The map viewport is a bounding box of the map area currently visible to the user. The
 viewport can act as an implicit location context in the absence of an explicit location
 context. To ensure you get the best results possible, you should always set a viewport if
 there is a map visible to the user.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">setMapViewport</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapViewport</code> - The bounding box of the map area currently visible.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>Request</code> object itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setSearchCenter-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSearchCenter</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setSearchCenter(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate)</pre>
</li>
</ul>
<a name="setSearchArea-com.here.android.mpa.common.GeoCoordinate-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSearchArea</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setSearchArea(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate,
                                         int radius)</pre>
</li>
</ul>
<a name="setSearchArea-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSearchArea</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setSearchArea(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</pre>
</li>
</ul>
<a name="setCategoryFilter-com.here.android.mpa.search.CategoryFilter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategoryFilter</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> setCategoryFilter(<a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search">CategoryFilter</a> filter)</pre>
</li>
</ul>
<a name="addImageDimensions-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addImageDimensions</h4>
<pre>public void addImageDimensions(int width,
                               int height)</pre>
<div class="block">Request Image Media with specific dimensions. At least one of the sizes (width or height)
 needs to be valid (greater than 0).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Image width (pass 0 for any width)</dd>
<dd><code>height</code> - Image height (pass 0 for any height)</dd>
</dl>
</li>
</ul>
<a name="execute-com.here.android.mpa.search.ResultListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>execute</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> execute(<a href="../../../../../com/here/android/mpa/search/ResultListener.html" title="interface in com.here.android.mpa.search">ResultListener</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt; eventListener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/search/Request.html#execute-com.here.android.mpa.search.ResultListener-">Request</a></code></span></div>
<div class="block">Executes an asynchronous request.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/search/Request.html#execute-com.here.android.mpa.search.ResultListener-">execute</a></code> in class <code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/DiscoveryResultPage.html" title="class in com.here.android.mpa.search">DiscoveryResultPage</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventListener</code> - A <code>ResultListener</code> passed along with the request to monitor progress</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>ErrorCode</code> representing an appropriate result</dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DiscoveryRequest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/DiscoveryLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/DiscoveryResult.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/DiscoveryRequest.html" target="_top">Frames</a></li>
<li><a href="DiscoveryRequest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.search.Request">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
